MediaWiki:Gadget-Tooltip.css: Difference between revisions

Kuhlau (talk | contribs)
No edit summary
Tags: Mobile edit Mobile web edit
Kuhlau (talk | contribs)
No edit summary
Tags: Mobile edit Mobile web edit
(3 intermediate revisions by the same user not shown)
Line 70: Line 70:
position: fixed;
position: fixed;
z-index: 10005;
z-index: 10005;
width: 100%;
width: calc(100% - 1em + 2px);
height: 125px;
height: 125px;
background: var(--theme-page-background-color);
background: var(--theme-page-background-color);
Line 76: Line 76:
border-radius: 0 0 5px 5px;
border-radius: 0 0 5px 5px;
border: 1px solid var(--theme-accent-color);
border: 1px solid var(--theme-accent-color);
box-shadow: 1px 5px 5px 1px black;
min-width: 150px;
min-width: 150px;
min-height: 25px;
min-height: 25px;
padding: 6px;
padding: 6px 0 6px 12px;
text-align: center;
bottom: 0;
bottom: 0;
left: 0;
left: 0;
margin: 0;
margin: 0;
overflow-y: scroll;
overflow-y: auto;
}
}


/* Container header */
/* Container header */
.skin-minerva .custom-tt-wrapper button[aria-expanded="true"] + .mw-collapsible-content.custom-tt:before {
.skin-minerva .custom-tt-wrapper .oo-ui-widget:not(.oo-ui-element-hidden):before {
content: "ⓘ Tooltip content:";
content: "ⓘ Tooltip content:";
display: block;
display: block;
Line 106: Line 106:
}
}
/* Tooltip surrogate toggle on backdrop overlay */
/* Tooltip surrogate toggle on backdrop overlay */
/* not sure what this does so hiding it for now
.skin-minerva .custom-tt-wrapper .oo-ui-widget:not(.oo-ui-element-hidden):before {
.skin-minerva .custom-tt-wrapper .oo-ui-widget:not(.oo-ui-element-hidden):before {
background: black;
background: black;
Line 115: Line 116:
opacity: 0.6;
opacity: 0.6;
z-index: 10004;
z-index: 10004;
}
*/
/* Undo default ooui */
.custom-tt-wrapper .oo-ui-popupWidget-popup {
border: none;
background-color: inherit;
border-radius: inherit;
}
}